#
# spec file for package yast2-sudo (Version 2.14.3)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    PolicyKit aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison blocxx boost bzip2 checkmedia coreutils cpio cpp cpp41 cracklib curl cvs cyrus-sasl db dbus-1 dbus-1-glib dejagnu desktop-translations diffutils e2fsprogs expat expect file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glibc glibc-devel glibc-locale gnome-filesystem gpm grep groff gzip hal hwinfo info insserv iproute2 klogd ldapcpplib less libacl libattr libcom_err libgcc41 libicu libidn libltdl libmudflap41 libnscd libstdc++41 libtool libusb libvolume_id libxcrypt libxml2 liby2util libzio libzypp linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openslp openssl pam pam-config pam-modules parted patch pcre perl perl-Digest-SHA1 perl-XML-Writer perl-gettext permissions pkgconfig pm-utils pmtools popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed strace sysconfig sysfsutils sysvinit tar tcl tcpd texinfo timezone unzip update-desktop-files util-linux vim yast2 yast2-core yast2-country yast2-devtools yast2-firewall yast2-hardware-detection yast2-installation yast2-ldap yast2-ldap-client yast2-mail-aliases yast2-network yast2-packager yast2-pam yast2-perl-bindings yast2-pkg-bindings yast2-security yast2-slp yast2-storage yast2-storage-lib yast2-testsuite yast2-users zlib zlib-devel

Name:           yast2-sudo
Version:        2.14.3
Release:        0.1
License:        GNU General Public License (GPL)
Group:          System/YaST
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-sudo-2.14.3.tar.bz2
prefix:		/usr
Requires:       yast2 yast2-users
#ycp::PathComponents
Requires:       yast2-core >= 2.13.29
#Sudo icons
Requires:       yast2_theme >= 2.13.9
BuildRequires:  perl-XML-Writer update-desktop-files yast2 yast2-devtools yast2-testsuite yast2-users
BuildArchitectures:	noarch
Summary:        YaST2 - sudo configuration

%description
The YaST2 component for sudo configuration. It configures capabilities
of users to run commands as root or other user.



Authors:
--------
    Katarina Machalkova <kmachalkova@suse.cz>

%debug_package
%prep
%setup -n yast2-sudo-2.14.3

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
make %{?jobs:-j%jobs}

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%dir /usr/share/YaST2/include/sudo
/usr/share/YaST2/include/sudo/*
/usr/share/YaST2/clients/sudo.ycp
/usr/share/YaST2/modules/Sudo.*
%{prefix}/share/applications/YaST2/sudo.desktop
/usr/share/YaST2/scrconf/sudo.scr
/usr/lib/YaST2/servers_non_y2/ag_etc_sudoers
%doc %{prefix}/share/doc/packages/yast2-sudo

%changelog -n yast2-sudo
* Fri Jan 05 2007 - kmachalkova@suse.cz
- Do not remove 'targetpw' and 'ALL ALL=ALL' rule from /etc/sudoers
  since it makes kdesu defunct (#223719)
- Prompt for confirming delete/edit of 'ALL ALL=ALL' rule
- 2.14.3
* Wed Oct 18 2006 - kmachalkova@suse.cz
- Fixed command table redrawing in user specification dialog
- Using real /etc/sudoers instead of testfile in agent (#209388)
- Fixed permissions (0640) when creating /etc/sudoers
- 2.14.2
* Thu Aug 24 2006 - ro@suse.de
- fix requires yast2-theme -> yast2_theme
* Wed Aug 23 2006 - kmachalkova@suse.cz
- added error condition handling to agent
- added validation of host/netmask
- extended command table to contain command parameters
- enabled sudo by modifying default config on first write
- 2.14.1
* Thu Jul 13 2006 - kmachalkova@suse.cz
- initial version
- 2.14.0
